MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005129AContentContentpublic2012-12-18 16:222013-03-15 10:53
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.3 
Summary0005129: Page template errors
DescriptionThe page template thumbnaiol display no longer appears. the following error occurs.

Fatal error: Cannot break/continue 1 level in /webserver/content/atutor.ca/docs/acontent/ac_lti/AContent/templates/system/Page_template.class.php on line 307
Steps To ReproduceAssociated with

// cursory check for version compatibility
                    // stopping the cycle to the first incompatibility found
                    if($vfile[0] < $vcore[0])
                        // not compatible!
                        continue;
                    elseif(strtolower($vfile[1]) != 'x' AND $vfile[1] < $vcore[1])
                        // not compatible!
                        continue;
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005898)
greg (administrator)
2012-12-18 16:38

I've commented out the offending lines for now. See commit:
905ddf0..0df3843 master -> master
(0005910)
cindy (administrator)
2013-01-03 11:19

Commit#: 02bcc2507eafa395b675dfb80c1aacef339ee692

Solution: The AContent compatible version specified in page templates is 1.2 which stops the templates from showing on the interface when the new release comes out with 1.3. Changing the compatible AContent version in all the page templates to 1.x fixes the issue. Also fixed the php error for using "continue" statement outside of a loop.

Affected scripts:
templates/system/Page_template.class.php
templates/page_template/header/page_template.xml
templates/page_template/plain_text/page_template.xml
templates/page_template/title_2_columns/page_template.xml
templates/page_template/title_3_columns/page_template.xml
templates/page_template/title_FloatingImage_text/page_template.xml
templates/page_template/title_image/page_template.xml
templates/page_template/title_image_text/page_template.xml
templates/page_template/title_subtitle/page_template.xml
templates/page_template/title_text/page_template.xml
templates/page_template/title_text_2_columns/page_template.xml
templates/page_template/title_text_FloatingImage/page_template.xml
templates/page_template/unordered_list/page_template.xml
(0006237)
greg (administrator)
2013-03-15 10:53

resolved in AContent 1.3

- Issue History
Date Modified Username Field Change
2012-12-18 16:22 greg New Issue
2012-12-18 16:38 greg Note Added: 0005898
2012-12-18 16:38 greg Assigned To => cindy
2012-12-18 16:38 greg Status new => assigned
2013-01-03 11:19 cindy Note Added: 0005910
2013-01-03 11:19 cindy Status assigned => resolved
2013-01-03 11:19 cindy Fixed in Version => 1.3
2013-01-03 11:19 cindy Resolution open => fixed
2013-03-15 10:53 greg Note Added: 0006237
2013-03-15 10:53 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker